.btn-transparent {
    box-shadow: none;
    background: transparent;
}

.profile-image {
    display: block;
    width: 100%;
    aspect-ratio: 1;
    background: #2C2C2C;
    box-shadow: 0 5px 3px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.profile-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.profile-image video {
    width: 100%;
    height: 100%;
    object-fit: fill;
}

.js-file-picker {
    position: absolute;
    top: 20px;
    right: 16px;
}

.js-file-picker input {
    display: none;
}

.profile-image.loading img {
    opacity: 0.3;
}

.profile-image.loading .js-file-picker {
    display: none;
}


.about-me .about-toolbar {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: .2s;
}

    .about-me .about-toolbar .js-cancel-about {
        box-shadow: none;
    }

.about-me .about-content {
    min-height: 0;
    border: 1px solid #2c2c2c;
    transition: .2s;
}

.about-me .about-content {
    outline: none;
}

.about-me.editing .about-toolbar {
    max-height: 45px;
    opacity: 1;
}

.about-me.editing .about-content {
    min-height: 200px;
    border-color: rgba(121, 121, 121, 1);
    background: #393939;
}

.social-link {
    position: relative;
}

    .social-link input {
        padding-left: 40px;
    }

    .social-link + .social-link {
        margin-top: 12px;
    }

    .social-link .social-icon {
        width: 24px;
        height: 24px;
        position: absolute;
        top: calc(50% - 12px);
        left: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .social-link .social-icon svg {
            width: 20px;
            height: auto;
        }

.partner-banner {
    border-radius: 10px;
    box-shadow: 0 5px 3px rgba(0, 0, 0, 0.05);
    margin-top: 18px;
    margin-bottom: 16px;
    min-height: 150px;
}

    .partner-banner img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.promo-button:not(.has-button) .promo-content,
.promo-button.has-button > button {
    display: none;
}

.banner-text-link:not(.has-value) .banner-text-link-content,
.banner-text-link.has-value > button {
    display: none;
}

.banner-text-link-view {
    position: absolute;
    bottom: 20px;
    display: flex;
}

.banner-text-link-view a,
.banner-text-link-view .arrow-forward {
    padding: 7px;
    margin-left: 5px;
    background-color: rgb(254 183 16 / var(--tw-bg-opacity));
    height: 25px;
    width: 25px;
    margin-top: 3px;
}

.section {
    margin-top: 20px;
    margin-bottom: 45px;
}

.section-title {
    margin-bottom: 20px;
}

.section-content {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    padding-left: 8px !important;
    padding-right: 8px !important;
    gap: 10px;
}

.sub-section {
    margin-top: 10px;
    margin-bottom: 10px;
}

.sub-section-title {
    margin-left: 8px;
    margin-top: 30px;
    margin-bottom: 10px;
}

.section .sub-section:first-of-type .sub-section-title {
    margin-top: 0px;
}

.section.splide-promo {
    margin-top: 35px;
}

.section-title--dark {
    background: none;
    box-shadow:none;
}

.section-title:before {
    content:none;
}

.section-title--dark:after {
    content: none;
}


.profile .main-content {
    padding: 0.5rem;
    margin-top: 40px;
}

.profile .main-content .main-nav {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.profile .main-content .main-nav a {
    font-weight: bold;
}

.profile .main-content .main-nav a:after {
    background-color: #FEB710;
    color: #000000;
}

.profile .main-content .main-nav a:after {
    display: block;
    height: 2px;
    --tw-bg-opacity: 1;
    background-color: rgb(254 183 16 / var(--tw-bg-opacity));
    opacity: 0;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 150ms;
    --tw-content: '';
    content: var(--tw-content);
}

.profile .main-content div[data-content] {
    margin-top: 1rem;
    display: none;
}

.profile .main-content[data-active="watched"] .main-nav a[data-tab="watched"]:after,
.profile .main-content[data-active="creations"] .main-nav a[data-tab="creations"]:after,
.profile .main-content[data-active="favorites"] .main-nav a[data-tab="favorites"]:after,
.profile .main-content[data-active="about"] .main-nav a[data-tab="about"]:after {
    opacity: 1;
}

.profile .main-content[data-active="watched"] .main-nav a[data-tab="watched"],
.profile .main-content[data-active="creations"] .main-nav a[data-tab="creations"],
.profile .main-content[data-active="favorites"] .main-nav a[data-tab="favorites"],
.profile .main-content[data-active="about"] .main-nav a[data-tab="about"] {
    color: white;
}

.profile .main-content[data-active="all"] div[data-content="all"],
.profile .main-content[data-active="watched"] div[data-content="watched"],
.profile .main-content[data-active="creations"] div[data-content="creations"],
.profile .main-content[data-active="favorites"] div[data-content="favorites"],
.profile .main-content[data-active="about"] div[data-content="about"] {
    display: block;
}

.profile .main-content .section {
    margin-top: 20px;
    margin-bottom: 40px;
}

.profile .main-content .section-title {
    position: relative;
    display: flex;
    height: 40px;
    gap: 2.5rem;
    padding-left: 3px;
    font-family: 'Space Grotesk', sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 1.75rem;
    text-transform: uppercase;
    background: linear-gradient(90deg, #212121 0%, rgba(33, 33, 33, 0) 19.02%, rgba(33, 33, 33, 0) 77.65%, #212121 96.87%), linear-gradient(180deg, #393939 0%, rgba(57, 57, 57, 0) 100%);
    margin-bottom: 0px;
}

.profile .main-content .section-title:before {
    content: none;
}

.profile .main-content .section-title:after {
    content: none;
}

.profile .main-content .badge {
    background-color: #FEB710;
    color: #000000;
    position: relative;
    display: inline-block;
    border-radius: 3px;
    --tw-bg-opacity: 1;
    padding-left: 5px;
    padding-right: 5px;
    margin-left: 5px;
    margin-right: 5px;
    font-weight: 700;
    --tw-text-opacity: 1;
}

.profile .main-content .is-loading img {
    margin: auto;
    display: block;
}

.section-action-popup {
    position: absolute;
    z-index: 100;
    background-color: rgb(33 33 33 / var(--tw-bg-opacity));
    padding: 15px;
    border-radius: 10px;
}

.profile .main-content .section-action-selected {
    position: absolute;
    left: calc(50% - 20px);
    top: calc(50% - 20px);
    display: none;
}

.profile .main-content .creation-header.selected {
    opacity: 0.7;
}

.profile .main-content .creation-header.selected .section-action-selected {
    display: block;
}

.section-move-select {
    background-color: #2c2c2c;
    width: 100%;
    height: 40px;
    border-radius: 5px;
    color: #797979;
    padding: 5px;
    outline: none;
}

.section-move-select option {
    color: white;
    padding: 15px 0;
}

.section-move-select .first {
    display: none;
}

.section-move-select .add-new {
    color: rgb(254 183 16 / var(--tw-text-opacity));
}

#section-action-select-move-message {
    position: absolute;
    width: 100%;
    top: 90px;
    z-index: 100;
}

#section-action-select-move-message .content {
    background-color: #cbf1d9 !important;
}

.profile .about-divider {
    display: flex;
    height: 10px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    align-self: stretch;
}

.profile .about-divider-l {
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, #393939 0%, rgba(57, 57, 57, 0.00) 100%);
}

.profile .about-divider-r {
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, rgba(57, 57, 57, 0.00) 0%, #393939 100%);
}

.profile .about-divider-c {
    color: #ffffff;
    font-size: 14px;
    font-weight: bold;
}

.mx-\[\-2\] {
    margin-left: -0.5rem;
    margin-right: -0.5rem;
}